<?php
namespace Ep\Gath;

use Ep\Log\LoggerAbstractServiceFactory;
use Zend\ServiceManager\Factory\InvokableFactory;

return [
    'dependencies' => [
        'aliases' => [
            'gath' => Gath::class,

            'gath.moto'                => Moto\MotoMiddleware::class,
            'gath.motorcycle_slug'     => Moto\MotorcycleSlug::class,
            'gath.select_motorcycle_handler' => Moto\SelectMotorcycleHandler::class,
            'gath.selected_motorcycle' => Moto\SelectedMotorcycle::class
        ],

        'factories' => [
            Gath::class => GathFactory::class,

            Moto\MotoMiddleware::class     => Moto\MotoMiddlewareFactory::class,
            Moto\MotorcycleSlug::class  => Moto\MotorcycleSlugFactory::class,
            Moto\SelectMotorcycleHandler::class => Moto\SelectMotorcycleHandlerFactory::class,
            Moto\SelectedMotorcycle::class => InvokableFactory::class,

            'gath.logger' => LoggerAbstractServiceFactory::class,
        ],

        'invokables' => [
            ImageManager::class,
        ],
    ],
];
