<?php
namespace Ep\Gath\Form\Element;

use Interop\Container\ContainerInterface;
use Laminas\Form\ElementFactory;
use Laminas\Form\ElementInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Class BrandSelectFactory
 *
 * @package Gath\Moto\Form\Element
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/gath-moto
 */
class GathAwareElementFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return object
     *
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $factory = new ElementFactory();
        /** @var ElementInterface $element */
        $element = $factory($container, $requestedName, $options);

        if (method_exists($element, 'setGath')) {
            $element->setGath($container->get('gath'));
        }

        return $element;
    }
}
