<?php
namespace Ep\Gath\Form\Element;

use Ep\Gath\Gath;
use Laminas\Form\Element\Select;

/**
 * Class BrandSelect
 *
 * @package Gath\Moto\Form\Element
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/gath-moto
 */
class MotorcycleBrandSelect extends Select
{
    /** @var Gath */
    protected $gath;
    /** @var string */
    protected $emptyOption = 'Odaberite proizvođača';
    /** @var array */
    protected $valueOptions;

    /**
     * @param Gath $gath
     */
    public function setGath(Gath $gath): void
    {
        $this->gath = $gath;
    }

    /**
     * @return array
     */
    public function getValueOptions()
    {
        if (null === $this->valueOptions) {
            $options = [];
            $brands = $this->gath->getMotorcycleBrands();

            foreach ($brands['Results'] as $brand) {
                $options[$brand['BrandId']] = $brand['BrandName'];
            }

            asort($options);

            $this->setValueOptions($options);
        }

        return parent::getValueOptions();
    }
}
