<?php
namespace Ep\Gath\Plugin;

use Ep\Gath\Gath;
use Ak\Wp\Plugin\PluginInterface;
use Ep\Gath\ImageManager;
use Laminas\Log\LoggerInterface;

/**
 * Osnovna klasa za Gath pluginove.
 *
 * @package Ep\Gath\Plugin
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/gath
 */
abstract class AbstractGathPlugin implements PluginInterface
{
    /** @var Gath */
    protected $gath;
    /** @var LoggerInterface */
    protected $logger;
    /** @var ImageManager */
    protected $images;

    /**
     * AbstractGathPlugin constructor.
     *
     * @param Gath $gath
     * @param LoggerInterface $logger
     */
    public function __construct(Gath $gath, LoggerInterface $logger, ImageManager $images)
    {
        $this->gath   = $gath;
        $this->logger = $logger;
        $this->images = $images;
    }

    protected function arrayToSelect(array $row): string
    {
        foreach ($row as $field => $value) {
            $fields[] = sprintf(
                '%s as %s',
                is_string($value) ? "'{$value}'" : ($value === null ? 'NULL' : $value),
                $field
            );
        }

        return 'SELECT ' . implode(',', $fields ?? []);
    }
}
