<?php
namespace EpTest\Gath\Form\Element;

use Ep\Gath\Form\Element\MotorcycleBrandSelect;
use EpTest\Gath\IntegrationTestTrait;
use PHPUnit\Framework\TestCase;
use Zend\ServiceManager\PluginManagerInterface;

/**
 * Class MotorcycleBrandSelectTest
 *
 * @package EpTest\Gath\Form\Element
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/gath
 */
class MotorcycleBrandSelectTest extends TestCase
{
    use IntegrationTestTrait;

    /**
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function testCanCreateElementFromManager()
    {
        $container = $this->createContainer();
        /** @var PluginManagerInterface $formManager */
        $formManager = $container->get('FormElementManager');

        $this->assertTrue($formManager->has('gath.motorcycle_brand_select'));

        $element = $formManager->get('gath.motorcycle_brand_select');

        $this->assertInstanceOf(MotorcycleBrandSelect::class, $element);
        $this->assertNotSame($element, $formManager->get('gath.motorcycle_brand_select'));
    }
}